#
# spec file for package yast2-sap-scp
#
# Copyright (c) 2016 SUSE Linux GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:           yast2-sap-scp
Version:        1.0.3
Release:        0
BuildArch:      noarch

Source0:        %{name}-%{version}.tar.bz2
Source1:        yast2-sap-scp-rpmlintrc

Requires:       yast2
Requires:       yast2-ruby-bindings
Requires:       xdg-utils
Requires:       yast2-sap-scp-prodlist

BuildRequires:  yast2
BuildRequires:  yast2-ruby-bindings
BuildRequires:  yast2-devtools
BuildRequires:  yast2-packager
BuildRequires:  update-desktop-files
BuildRequires:  rubygem(%{rb_default_ruby_abi}:yast-rake)
BuildRequires:  rubygem(%{rb_default_ruby_abi}:rspec)

Group:          System/YaST
License:        GPL-2.0
Summary:        SUSE Connect Program
URL:            http://www.suse.com

%description
SUSE Connect Program: A YaST2 module to install third-party partner
products for SUSE Enterprise Linux for SAP Applications.

%prep
%setup -n %{name}-%{version}

%check
rake test:unit

%build

%install
mkdir -p %{buildroot}%{yast_dir}/data/suse_connect_program/
rake install DESTDIR="%{buildroot}"
install -m 644 data/template_ncurses.erb %{buildroot}%{yast_dir}/data/suse_connect_program/template_ncurses.erb
install -m 644 data/template_gui.erb %{buildroot}%{yast_dir}/data/suse_connect_program/template_gui.erb

%files
%defattr(-,root,root)
%doc %yast_docdir
%doc doc/SUSE_Connect_Program.md
%yast_desktopdir
%yast_clientdir
%yast_libdir
%yast_dir

%changelog